Trace type handler

## Enumerations

enum | traceType { PAJE , VITE , OTF , TAU }
| The type of the output trace. More...

## Functions

void | setTraceType (traceType_t type)
| Set the type of output trace.
traceType_t | getTraceType ()
| Get the type of the output trace.
char * | getName (int procRk)
| To get the name of the file to give to the addCont function for processors.
int | bufferedModeActivated ()
| Check wether the buffered-mode is activated.

## Detailed Description

## Enumeration Type Documentation

## traceType

enum traceType

The type of the output trace.

Enumerator
PAJE | Paje trace format.
VITE | ViTE-specific trace format.
OTF | OTF trace format.
TAU | TAU Trace format.

## Function Documentation

## bufferedModeActivated()

int bufferedModeActivated | ( |  | ) |

Check wether the buffered-mode is activated.

Returns
  1 is the buffered-mode is activate.
  0 otherwise.

## getName()

char * getName | ( | int | procRk | ) |

To get the name of the file to give to the addCont function for processors.

Parameters

  procRk | Rank of the proc to get the file containing it

Returns
  The name of the file to give for a proc

## getTraceType()

traceType_t getTraceType | ( |  | ) |

Get the type of the output trace.

Returns
  The type of the trace

## setTraceType()

void setTraceType | ( | traceType_t | type | ) |

Set the type of output trace.

Parameters

  type | Type of trace to generate